ReferencesOpenapiOrganisation
List organisations
List organisations the API key owner can access, with optional search and pagination.
Authorization
ApiKeyAuth x-api-key<token>
API key for authentication
In: header
Query Parameters
search?string
page?number
Default
1Range
1 <= valuelimit?number
Default
10Range
1 <= value <= 50Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://app.np.aws.karia.com.au/api/v0/organisation"{
"items": [
{
"id": 0,
"name": "string",
"tradingName": "string",
"url": "string",
"createdAt": "string",
"apiAccessEnabled": true
}
],
"pagination": {
"total": 0,
"page": 0,
"limit": 0,
"totalPages": 0
}
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}
